Subject: Re: [Netconf] I-D Action:draft-ietf-netconf-with-defaults-11.txt

From: "Andy Bierman" <[email-masked]>
Date: Mon, 16 Aug 2010 13:49:38 -0700

Rfc editor format is
OLD:

NEW:

This document does not need to define state data.  If the get op is given with the w-d leaf, then the server needs to filter out defaults as requested.  The schema default value is not related to config-stmt.

It is an implementation detail how the server combines state and config into an XML message.

Andy

----- Reply message -----
From: "t.petch" <[email-masked]>
Date: Mon, Aug 16, 2010 12:01
Subject: [Netconf]I-D Action:draft-ietf-netconf-with-defaults-11.txt
To: "Ersue, Mehmet \(NSN - DE/Munich\)" <[email-masked]>, <[email-masked]>
Cc: "ext Andy Bierman" <[email-masked]>

----- Original Message -----
From: "Ersue, Mehmet (NSN - DE/Munich)" <[email-masked]>
To: "t.petch" <[email-masked]>; <[email-masked]>
Sent: Monday, August 16, 2010 7:13 PM

> I agree with Andy.
>
> We need more concrete proposals at this late stage.
>
> Mehmet
>
> From: [email-masked] [mailto:[email-masked]] On Behalf Of
ext Andy Bierman
> Sent: Monday, August 16, 2010 7:09 PM
> To: t.petch
> Cc: [email-masked]
>
> What changes are you requesting.
> Provide edits in rfc editor format

Sorry, I am not familiar with RFC Editor format but I am proposing that where
section 1.1 currently contains
"   The following terms are defined in [RFC4741]:
   o  client
   o  datastore"
that that should be amended to
 " The following terms are defined in [RFC4741]:
   o  client
   o  configuration datastore"
on the grounds (as I said before) that it is configuration datastore that is
defined in RFC4741 and not datastore.

Following on from the introduction of 'configuration datastore',  I believe that
the usage of 'datastore' (unqualified) in the definition of 'default data' is
intended to include state as well as configuration data and as such needs
defining ; hence I suggest adding a definition for it to section 1.1, namely
 datastore: Configuration datastore(s?) and state information collectively
(not sure if that should be singular or plural)
Of course, if I am misconstruing the definition of 'default data' then this does
not apply.

Those are the two changes that I am proposing.

Tom Petch
>
> Andy
>
> ----- Reply message -----
> From: "t.petch" <[email-masked]>
> Date: Mon, Aug 16, 2010 07:27
> Subject: [Netconf] I-D Action:draft-ietf-netconf-with-defaults-11.txt
> To: "Andy Bierman" <[email-masked]>
> Cc: <[email-masked]>
>
>
> OK, so we now have configuration datastore (mostly).
>
> I still want
> " The following terms are defined in [RFC4741]:
>   o  client
>   o  configuration datastore
>  .... "
> for consistency plus, perhaps,
>
> datastore: Configuration datastore(s?) and state information collectively
>
> lifting that in part from from RFC4741 s7.7
>
> Which then leaves data node (instance) and Juergen's point about
(non-)existence
> of defaults outstanding.
>
> Tom Petch
>
> ----- Original Message -----
> From: <[email-masked]>
> To: <[email-masked]>
> Cc: <[email-masked]>
> Sent: Friday, August 13, 2010 5:30 AM
> Subject: [Netconf] I-D Action:draft-ietf-netconf-with-defaults-11.txt
>
>
> > A New Internet-Draft is available from the on-line Internet-Drafts
> directories.
> > This draft is a work item of the Network Configuration Working Group of the
> IETF.
> >
> >
> > Title           : With-defaults capability for NETCONF
> > Author(s)       : A. Bierman, B. Lengyel
> > Filename        : draft-ietf-netconf-with-defaults-11.txt
> > Pages           : 31
> > Date            : 2010-08-12
> >
> > The NETCONF protocol defines ways to read and edit configuration data
> > from a NETCONF server.  In some cases, part of this data may not be
> > set by the NETCONF client, but rather a default value known to the
> > server is used instead.  In many situations the NETCONF client has a
> > priori knowledge about default data, so the NETCONF server does not
> > need to save it in a NETCONF configuration datastore or send it to
> > the client in a retrieval operation reply.  In other situations the
> > NETCONF client will need this data from the server.  Not all server
> > implementations treat this default data the same way.  This document
> > defines a capability-based extension to the NETCONF protocol that
> > allows the NETCONF client to identify how defaults are processed by
> > the server, and also defines new mechanisms for client control of
> > server processing of default data.
> >
> > A URL for this Internet-Draft is:
> > http://www.ietf.org/internet-drafts/draft-ietf-netconf-with-defaults-11.txt
> >
> > Internet-Drafts are also available by anonymous FTP at:
> > ftp://ftp.ietf.org/internet-drafts/
> >
> > Below is the data which will enable a MIME compliant mail reader
> > implementation to automatically retrieve the ASCII version of the
> > Internet-Draft.
> >
>
>
> ------------------------------------------------------------------------------
--
>
>
> > _______________________________________________
> > Netconf mailing list
> > [email-masked]
> > https://www.ietf.org/mailman/listinfo/netconf
> >
>
>
>
>
>
>